body{
    background-color: #0C0C0C;
}


/* حذف مربع آبی هنگام تاچ روی لینک */
a:focus,
a:active {
  outline: none;
}

a {
  -webkit-tap-highlight-color: transparent; /* مخصوص مرورگرهای موبایل */
}

*:focus {
  outline: none;
  -webkit-tap-highlight-color: transparent;
}







.main_container{
    position: relative;
}

.main_body{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: space-between;
}









.home_header{
    width: 100%;
    height: 70vh;
    /* background-color: tomato; */
    position: relative;

    overflow-y: scroll;

    overflow: hidden;

    /* mask-image: linear-gradient(to bottom,#000,#000 10%,#000 70%,#0000); */


    -webkit-mask-image: linear-gradient(to bottom,#000,#000 60%,#0000);
    mask-image: linear-gradient(to bottom,#000,#000 60%,#0000);
}


.home_header_hero_container{
    width: 100%;
    height: 100%;
    /* background-color: yellow; */

    position: relative;

    /* overflow: hidden; */

    
}

.home_header_hero_video_container{
    width: 100%;
    height: 100%;
    /* background-color: violet; */
    /* background-image: url(/assets/images/temp/event_show.png); */
 
    transform: translate3d(0,0,0) scale(1);
    will-change: transform; /* کمک به GPU برای smooth کردن انیمیشن */
    /*transition: transform 0.1s linear; /* برای smooth کردن scale اولیه */



    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;
}






.home_header_hero_video_body{
    width: 100%;
    height: 100%;
    /* background-color: peru; */

    position: absolute;

    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.home_header_hero_video_body video{
    width: 100%;
    opacity: 0.5;
}




.home_header_content_container{
    width: 95%;
    height: 70vh;
    /* background: linear-gradient(45deg,green,red,blue); */
    /* background-color: #1414145b; */
    /* background-color: #fff; */

    

    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.2);

    border-radius: 15px;
    margin: auto;

    position: sticky;
    top: 0;

    display: flex;
    align-items: center;
    justify-content: center;


    opacity: 0;
}










































.home_footer_container{
    width: 100%;
    /* min-height: 180px; */
    /* background-color: seagreen; */

    display: flex;
    flex-flow: column-reverse nowrap;
    align-items: center;
    justify-content: flex-start;
}





.home_footer_text_container{
    max-width: 1450px;
    margin-bottom: 35px;
    
    font-family: inter;
    font-size: 18px;
    color: #fff;
    font-weight: 400;

    line-height: 32px;

}
.home_footer_text_container a{
    display: inline-flex;
    text-decoration: none;

    padding: 10px 15px ;

    margin-left: 5px;
    margin-right: 5px;


    border-radius: 10px;
    position: relative;
    z-index: 10;
    background: rgba(255, 255, 255, 0.05);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);



    font-weight: 700;
    color: #B93C33;
    font-size: 18px;
    cursor: pointer;


    line-height: 16px;

}


.home_footer_text_container a::before{
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 1px;
    background: linear-gradient(90deg,#fff1, #fff5);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask-composite: add, add;
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    z-index: 9;
}









.global_events_btn_container{
    width: 52px;
    height: 52px;
    /* background-color: violet; */
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: flex-end;
}






.global_events_btn_body{
    min-width: 100%;
    height: 100%;

    /* background-color: sienna; */

    transition: 0.5s;

    border-radius: 10px;
    position: relative;
    z-index: 10;


    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.05);
   
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);

    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: center;
            
    overflow: hidden;

}



.global_events_btn_body::before{
    content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg,#fff1, #fff5);
 
  -webkit-mask: 
    linear-gradient(#fff 0 0) content-box, 
    linear-gradient(#fff 0 0); 

  mask: 
    linear-gradient(#fff 0 0) content-box, 
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor; 
          mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}


.global_events_btn_icon{
    min-width: 19px;
    min-height: 19px;
    background-image: url(../icons/earth.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;

    /* margin-right: 13px; */

    display: none;
}

.global_events_btn_title{
    font-family: inter;
    font-size: 14px;
    color: #C8D8D6;
    font-weight: 400;


    /* margin-top: 3px;
    margin-bottom: -6px; */



    /* position: absolute; */
    white-space: nowrap;

    /* left: 25px; */

    /* opacity: 0; */
    /* transition: opacity 0.2s; */
}


/* .global_events_btn_body:hover{
    min-width: 178px;

} */


/* .global_events_btn_body:hover .global_events_btn_title{
    opacity: 1;
    transition-delay: 0.2s;
} */










.studio_events_btn_container{
    width: 52px;
    height: 52px;
    /* background-color: rgb(7, 72, 133); */
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: flex-start;
}



.studio_events_btn_body{
    min-width: 100%;
    height: 100%;

    /* background-color: sienna; */

    transition: 0.5s;

    border-radius: 10px;
    position: relative;
    z-index: 10;


    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.05);
   
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    

    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: center;
            
    overflow: hidden;

}



.studio_events_btn_body::before{
    content: "";
    position: absolute;
    inset: 0; /* کل کادر */
    border-radius: inherit; /* گوشه‌ها مثل خود box */
    padding: 1px; /* ضخامت border */
    background: linear-gradient(90deg,#fff1, #fff5);
    
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0); 

    mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor; 
            mask-composite: exclude;
    z-index: 9; /* پشت متن قرار بگیره */
}


.studio_events_btn_icon{
    min-width: 19px;
    min-height: 19px;
    background-image: url(../icons/slide.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;

    display: none;

    /* margin-left: 13px; */
}

.studio_events_btn_title{
    font-family: inter;
    font-size: 14px;
    color: #C8D8D6;
    font-weight: 400;



    /* margin-top: 3px;
    margin-bottom: -6px; */

    /* position: absolute; */
    white-space: nowrap;

    /* right: 25px; */

    /* opacity: 0; */
    /* transition: opacity 0.2s; */
}


/* .studio_events_btn_body:hover{
    min-width: 178px;

} */


/* .studio_events_btn_body:hover .studio_events_btn_title{
    opacity: 1;
    transition-delay: 0.2s;
} */







/*--------------timeline style ----------------*/
.home_footer_timeline_container{
    width: 80%;
    height: 50px;
    max-width: 2000px;
    display: flex;
    flex-flow: row nowrap;
   
    justify-content: center;

    /* background-color: yellow; */
    overflow: hidden;

    margin-bottom: 60px;

    align-items: flex-start;


    position: relative;
}

.home_footer_timeline_mask{
    width: 100%;
    height: 100%;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;



    mask-image: linear-gradient(to right,#0000,#000 10%,#000 90%,#0000);

    mask-position:  center center;

    mask-repeat: no-repeat ;

    mask-size: 100%;
}










.home_footer_timeline_body{
    height: 45px;
    /* background-color: brown; */

    display: flex;
    flex-flow: row nowrap;
    /* opacity: 0.5; */
}












.year_container_timeline_number_container{
    width: 120px;
    min-width: 120px;
    height: 25px;

    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: space-between;
}

.year_line{
    width: 1px;
    height: 25px;
    background-color: #fff4;
    position: relative;

    display: flex;
    flex-flow: column nowrap;
    align-items: center;

    
}
.year_number{
    font-size: 13px;
    font-family: inter;
    font-weight: 200;
    color: #a7a7a7;
    position: absolute;
    bottom: -20px;

    transition: 0.5s;
    

    user-select: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.active_year_number{
    color: #C1362C;
    font-weight: 600;
    transform: scale(120%);
}

.season_line{
    width: 1px;
    height: 8px;
    background-color: #fff4;
    
}

.month_line{
    width: 1px;
    height: 4px;
    background-color: #fff4;
    
}



.past_title_contianer{
    position: absolute;
    color: #fff6;
    font-family: inter;
    font-weight: 300;
    font-size: 18px;
    left: 45px;
    margin-top:32px;
}


.future_title_contianer{
    position: absolute;
    color: #fff6;
    font-family: inter;
    font-weight: 300;
    font-size: 18px;
    right: 45px;
    margin-top:32px;
}



/*-------------- end timeline style ----------------*/



.project_btn_container{
    min-width: 114px;
    height: 42px;

    /* background-color: sienna; */

    transition: 0.5s;

    border-radius: 10px;
    position: relative;
    z-index: 10;


    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.05);
    
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    /* border: 1px solid rgba(255, 255, 255, 0.31); */

    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;
            
    overflow: hidden;


    font-family: inter;
    font-weight: 300;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
 
    margin-bottom: 35px;


    -webkit-tap-highlight-color: transparent;

}



.project_btn_container::before{
    content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(90deg,#fff1, #fff5);
 
  -webkit-mask: 
    linear-gradient(#fff 0 0) content-box, 
    linear-gradient(#fff 0 0); 

  mask: 
    linear-gradient(#fff 0 0) content-box, 
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor; 
          mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}



























@media screen and (max-width: 1550px) {

     .past_present_future_title_container{
        /* bottom: 30px; */
    }

    
}





@media screen and (max-width: 1366px) {

    .home_header{
        height: 65vh;

     
    }



   
    
}


@media screen and (max-width: 780px) {

    .main_body{
        height: 100vh;
        height: 100dvh;
    }

    .show_project_btn_container{
        height: 100vh;
        height: 100dvh;
    }


    .home_header{
        height: 65vh;
        height: 65dvh;
    }
    .home_header_hero_video_body video{
        width: unset;
        height: 100%;
    }


    .past_present_future_title_container{
        bottom: 30px;

        bottom: 90px;
    }

    .home_footer_timeline_container{
        margin-bottom: 30px;
    }


    .home_footer_text_container{
        text-align: justify;
        font-size: 16px;
        width: 90%; 
        margin-bottom: 10px;
    }

    .future_title_contianer{
        right: 20px;
    }

    .past_title_contianer{
        left: 15px;
    }
    
}



@media screen and (max-width: 450px) {

    

    .home_header_hero_video_body video{
        width: unset;
        height: 100%;
    }

    



}